<script setup lang="ts">
import RuleTemplate from '../../RuleTemplate.vue'
// import { useTag } from '../../../composables/useAllData'

const props = defineProps<{ node: any }>()

// const { getTag } = useTag()

const config = computed(() => {
  return props.node.data.teacher || {}
})

function paramsParse(data: any) {
  return { tag_ids: data.tag_ids }
}
</script>

<template>
  <RuleTemplate :node="node" step :paramsParse="paramsParse">
    <template #header-answer>
      <span>标签</span>&nbsp;&nbsp;<span class="is-operate">等于</span>&nbsp;&nbsp;
      <span class="is-answer">{{ config.tag_names }}</span>
      <!-- <p v-for="(item, index) in config.rules" :key="index">
        <span>{{ getTag(item.tag_id)?.name }}</span>
        <span class="is-operate">&nbsp;&nbsp;{{ item.operate }}&nbsp;&nbsp;</span>
        <span class="is-answer">{{ item.value }}</span>
        &nbsp;&nbsp;&nbsp;&nbsp;
      </p> -->
    </template>
  </RuleTemplate>
</template>
